import React from "react";
import { useTranslation } from "react-i18next";
import PartsStatusPie from "../parts-status-pie/parts-status-pie.component";
import CardTemplate from "./job-detail-cards.template.component";

export default function JobDetailCardsPartsComponent({ loading, data }) {
  const { t } = useTranslation();
  const { joblines_status } = data;

  return (
    <div>
      <CardTemplate loading={loading} title={t("jobs.labels.cards.parts")}>
        <PartsStatusPie joblines_status={joblines_status} />
      </CardTemplate>
    </div>
  );
}
